Subject: Re: bug#8825: 24.0.50; Problem with builtin gnutls on Windows

From: Ted Zlatanov <[email-masked]>
Date: Fri, 10 Jun 2011 20:17:05 -0500

(second try to post this, Gmane ate the first one)

On Wed, 08 Jun 2011 17:48:00 -0400 [email-masked] wrote: 

n> [Aside: Hopefully, we will continue to be able to use the external gnutls-cli
n> if we wish when `(require 'gnutls)' is NOT specified (or a variable to
n> the same effect) even when Emacs 24.1 is released.  Thanks.]

I'm not sure if that's a good idea.  We've had many, many reports over
the years of I/O and stability problems with that setup in Gnus
(especially on W32).  I'm not strongly opposed to it, but think it's
counterproductive in the long run.  `gnutls-cli' is just a simple
wrapper around GnuTLS, so the Emacs support for GnuTLS should be fixed
if it's missing features `gnutls-cli' has.

Can you please follow up about this on emacs-devel?  It's worth a
discussion there; within this bug I fear many people would miss it.

Ted